name: Themosis

on:
  push:
    branches: [ "staging" ]


jobs:
  build:

    runs-on: ubuntu-latest

    steps:
    - uses: shivammathur/setup-php@15c43e89cdef867065b0213be354c2841860869e
      with:
        php-version: '8.0'
    - uses: actions/checkout@v3
    - name: Install composer dependencies
      run: bash ${GITHUB_WORKSPACE}/.github/entrypoint.sh
      env:
        OVH_HOSTING_USER: ${{ secrets.OVH_HOSTING_USER }}
        OVH_HOSTING_PASSWORD: ${{ secrets.OVH_HOSTING_PASSWORD }}
        OVH_HOSTING_DOMAIN: ssh.cluster028.hosting.ovh.net
        REPOSITORY_NAME: visualimage
        REPOSITORY_URL: git@github.com:jeromechanteclair/visualimage.git

    - name : git reset
      run : /usr/bin/git reset --hard origin/staging
    - name : git pull
      run : /usr/bin/git pull
    - name : git status
      run : /usr/bin/git status 
  


   
